import { CosmWasmClient } from "@cosmjs/cosmwasm-stargate";
import { ChainName, GatewayTransferMsg, GatewayTransferWithPayloadMsg, IbcBridge, TokenBridge, TokenId } from "@wormhole-foundation/connect-sdk";
import { CosmwasmAddress } from "./address";
import { CosmwasmChainName } from "./types";
export declare module Gateway {
    const name: "Wormchain";
    function gatewayAddress(): string;
    function tokenBridgeAddress(): string;
    function coreAddress(): string;
    function getRpc(): Promise<CosmWasmClient>;
    function getTokenBridge(rpc?: CosmWasmClient): Promise<TokenBridge<"Cosmwasm">>;
    function getIbcBridge(rpc?: CosmWasmClient): Promise<IbcBridge<"Cosmwasm">>;
    function getWrappedAsset(token: TokenId): Promise<CosmwasmAddress>;
    function getGatewaySourceChannel(chain: CosmwasmChainName): string;
    function deriveIbcDenom(chain: CosmwasmChainName, denom: string): CosmwasmAddress;
    function makeTransferMsg(chain: ChainName, recipient: CosmwasmAddress, fee?: bigint, payload?: string, nonce?: number): GatewayTransferWithPayloadMsg | GatewayTransferMsg;
}
//# sourceMappingURL=gateway.d.ts.map