import { SigningCosmWasmClient } from "@cosmjs/cosmwasm-stargate";
import { ChainName, Network, RpcConnection, SignOnlySigner, SignedTx, Signer, UnsignedTransaction } from "@wormhole-foundation/connect-sdk";
export declare function getCosmwasmSigner(rpc: RpcConnection<"Cosmwasm">, mnemonic: string): Promise<Signer>;
export declare class CosmwasmSigner implements SignOnlySigner {
    private _chain;
    private _signer;
    private _account;
    constructor(_chain: ChainName, _signer: SigningCosmWasmClient, _account: string);
    chain(): ChainName;
    address(): string;
    sign(tx: UnsignedTransaction[]): Promise<SignedTx[]>;
}
export declare class CosmwasmEvmSigner implements SignOnlySigner {
    private _chain;
    private _chainId;
    private key;
    private prefix;
    private _rpc;
    constructor(_chain: ChainName, _network: Network, _mnemonic: string);
    chain(): "Solana" | "Btc" | "Algorand" | "Sui" | "Aptos" | "Near" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia";
    address(): string;
    sign(txns: UnsignedTransaction[]): Promise<SignedTx[]>;
    getSignerData(): Promise<{
        address: string;
        sequence: number;
        accountNumber: number;
    }>;
}
//# sourceMappingURL=signer.d.ts.map