import { CosmwasmChainName } from "./types";
export declare const MSG_EXECUTE_CONTRACT_TYPE_URL = "/cosmwasm.wasm.v1.MsgExecuteContract";
export declare const IBC_MSG_TYPE = "/ibc.applications.transfer.v1.MsgTransfer";
export declare const IBC_TRANSFER_PORT = "transfer";
export declare const IBC_PACKET_SEND = "send_packet";
export declare const IBC_PACKET_RECEIVE = "recv_packet";
export declare const IBC_PACKET_DST = "packet_dst_channel";
export declare const IBC_PACKET_SRC = "packet_src_channel";
export declare const IBC_PACKET_SRC_PORT = "packet_src_port";
export declare const IBC_PACKET_DST_PORT = "packet_dst_port";
export declare const IBC_PACKET_SEQ = "packet_sequence";
export declare const IBC_PACKET_DATA = "packet_data";
export declare const IBC_PACKET_CONN = "packet_connection";
export declare const IBC_TIMEOUT_MILLIS: number;
export declare const cosmwasmChainIdToNetworkChainPair: (<K1 extends "cosmoshub-4" | "evmos_9001-2" | "injective-1" | "osmosis-1" | "pacific-1" | "columbus-5" | "phoenix-1" | "wormchain" | "dimension_37-1" | "theta-testnet-001" | "evmos_9000-4" | "injective-888" | "osmo-test-5" | "atlantic-2" | "pisco-1" | "wormchain-testnet-0" | "cube_47-5">(args_0: K1) => (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "cosmoshub-4" | "evmos_9001-2" | "injective-1" | "osmosis-1" | "pacific-1" | "columbus-5" | "phoenix-1" | "wormchain" | "dimension_37-1" | "theta-testnet-001" | "evmos_9000-4" | "injective-888" | "osmo-test-5" | "atlantic-2" | "pisco-1" | "wormchain-testnet-0" | "cube_47-5" ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<[readonly ["cosmoshub-4", [[["Mainnet", "Cosmoshub"]]]], readonly ["evmos_9001-2", [[["Mainnet", "Evmos"]]]], readonly ["injective-1", [[["Mainnet", "Injective"]]]], readonly ["osmosis-1", [[["Mainnet", "Osmosis"]]]], readonly ["pacific-1", [[["Mainnet", "Sei"]]]], readonly ["columbus-5", [[["Mainnet", "Terra"]]]], readonly ["phoenix-1", [[["Mainnet", "Terra2"]]]], readonly ["wormchain", [[["Mainnet", "Wormchain"]]]], readonly ["dimension_37-1", [[["Mainnet", "Xpla"]]]], readonly ["theta-testnet-001", [[["Testnet", "Cosmoshub"]]]], readonly ["evmos_9000-4", [[["Testnet", "Evmos"]]]], readonly ["injective-888", [[["Testnet", "Injective"]]]], readonly ["osmo-test-5", [[["Testnet", "Osmosis"]]]], readonly ["atlantic-2", [[["Testnet", "Sei"]]]], readonly ["pisco-1", [[["Testnet", "Terra2"]]]], readonly ["wormchain-testnet-0", [[["Testnet", "Wormchain"]]]], readonly ["cube_47-5", [[["Testnet", "Xpla"]]]]]>[("cosmoshub-4" | "evmos_9001-2" | "injective-1" | "osmosis-1" | "pacific-1" | "columbus-5" | "phoenix-1" | "wormchain" | "dimension_37-1" | "theta-testnet-001" | "evmos_9000-4" | "injective-888" | "osmo-test-5" | "atlantic-2" | "pisco-1" | "wormchain-testnet-0" | "cube_47-5") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<[readonly ["cosmoshub-4", [[["Mainnet", "Cosmoshub"]]]], readonly ["evmos_9001-2", [[["Mainnet", "Evmos"]]]], readonly ["injective-1", [[["Mainnet", "Injective"]]]], readonly ["osmosis-1", [[["Mainnet", "Osmosis"]]]], readonly ["pacific-1", [[["Mainnet", "Sei"]]]], readonly ["columbus-5", [[["Mainnet", "Terra"]]]], readonly ["phoenix-1", [[["Mainnet", "Terra2"]]]], readonly ["wormchain", [[["Mainnet", "Wormchain"]]]], readonly ["dimension_37-1", [[["Mainnet", "Xpla"]]]], readonly ["theta-testnet-001", [[["Testnet", "Cosmoshub"]]]], readonly ["evmos_9000-4", [[["Testnet", "Evmos"]]]], readonly ["injective-888", [[["Testnet", "Injective"]]]], readonly ["osmo-test-5", [[["Testnet", "Osmosis"]]]], readonly ["atlantic-2", [[["Testnet", "Sei"]]]], readonly ["pisco-1", [[["Testnet", "Terra2"]]]], readonly ["wormchain-testnet-0", [[["Testnet", "Wormchain"]]]], readonly ["cube_47-5", [[["Testnet", "Xpla"]]]]]>[("cosmoshub-4" | "evmos_9001-2" | "injective-1" | "osmosis-1" | "pacific-1" | "columbus-5" | "phoenix-1" | "wormchain" | "dimension_37-1" | "theta-testnet-001" | "evmos_9000-4" | "injective-888" | "osmo-test-5" | "atlantic-2" | "pisco-1" | "wormchain-testnet-0" | "cube_47-5") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<[readonly ["cosmoshub-4", [[["Mainnet", "Cosmoshub"]]]], readonly ["evmos_9001-2", [[["Mainnet", "Evmos"]]]], readonly ["injective-1", [[["Mainnet", "Injective"]]]], readonly ["osmosis-1", [[["Mainnet", "Osmosis"]]]], readonly ["pacific-1", [[["Mainnet", "Sei"]]]], readonly ["columbus-5", [[["Mainnet", "Terra"]]]], readonly ["phoenix-1", [[["Mainnet", "Terra2"]]]], readonly ["wormchain", [[["Mainnet", "Wormchain"]]]], readonly ["dimension_37-1", [[["Mainnet", "Xpla"]]]], readonly ["theta-testnet-001", [[["Testnet", "Cosmoshub"]]]], readonly ["evmos_9000-4", [[["Testnet", "Evmos"]]]], readonly ["injective-888", [[["Testnet", "Injective"]]]], readonly ["osmo-test-5", [[["Testnet", "Osmosis"]]]], readonly ["atlantic-2", [[["Testnet", "Sei"]]]], readonly ["pisco-1", [[["Testnet", "Terra2"]]]], readonly ["wormchain-testnet-0", [[["Testnet", "Wormchain"]]]], readonly ["cube_47-5", [[["Testnet", "Xpla"]]]]]>[("cosmoshub-4" | "evmos_9001-2" | "injective-1" | "osmosis-1" | "pacific-1" | "columbus-5" | "phoenix-1" | "wormchain" | "dimension_37-1" | "theta-testnet-001" | "evmos_9000-4" | "injective-888" | "osmo-test-5" | "atlantic-2" | "pisco-1" | "wormchain-testnet-0" | "cube_47-5") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) & {
    get: (args_0: string) => ["Mainnet", "Cosmoshub"] | ["Mainnet", "Evmos"] | ["Mainnet", "Injective"] | ["Mainnet", "Osmosis"] | ["Mainnet", "Sei"] | ["Mainnet", "Terra"] | ["Mainnet", "Terra2"] | ["Mainnet", "Wormchain"] | ["Mainnet", "Xpla"] | ["Testnet", "Cosmoshub"] | ["Testnet", "Evmos"] | ["Testnet", "Injective"] | ["Testnet", "Osmosis"] | ["Testnet", "Sei"] | ["Testnet", "Terra2"] | ["Testnet", "Wormchain"] | ["Testnet", "Xpla"] | undefined;
    has: (args_0: string) => boolean;
};
export declare const cosmwasmNetworkChainToChainId: (<K1 extends "Mainnet" | "Testnet" | "Devnet", K2 extends keyof ((K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" | "Devnet" ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "cosmoshub-4"], readonly ["Evmos", "evmos_9001-2"], readonly ["Injective", "injective-1"], readonly ["Osmosis", "osmosis-1"], readonly ["Sei", "pacific-1"], readonly ["Terra", "columbus-5"], readonly ["Terra2", "phoenix-1"], readonly ["Wormchain", "wormchain"], readonly ["Xpla", "dimension_37-1"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "theta-testnet-001"], readonly ["Evmos", "evmos_9000-4"], readonly ["Injective", "injective-888"], readonly ["Osmosis", "osmo-test-5"], readonly ["Sei", "atlantic-2"], readonly ["Terra2", "pisco-1"], readonly ["Wormchain", "wormchain-testnet-0"], readonly ["Xpla", "cube_47-5"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "cosmoshub-4"], readonly ["Evmos", "evmos_9001-2"], readonly ["Injective", "injective-1"], readonly ["Osmosis", "osmosis-1"], readonly ["Sei", "pacific-1"], readonly ["Terra", "columbus-5"], readonly ["Terra2", "phoenix-1"], readonly ["Wormchain", "wormchain"], readonly ["Xpla", "dimension_37-1"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "theta-testnet-001"], readonly ["Evmos", "evmos_9000-4"], readonly ["Injective", "injective-888"], readonly ["Osmosis", "osmo-test-5"], readonly ["Sei", "atlantic-2"], readonly ["Terra2", "pisco-1"], readonly ["Wormchain", "wormchain-testnet-0"], readonly ["Xpla", "cube_47-5"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "cosmoshub-4"], readonly ["Evmos", "evmos_9001-2"], readonly ["Injective", "injective-1"], readonly ["Osmosis", "osmosis-1"], readonly ["Sei", "pacific-1"], readonly ["Terra", "columbus-5"], readonly ["Terra2", "phoenix-1"], readonly ["Wormchain", "wormchain"], readonly ["Xpla", "dimension_37-1"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "theta-testnet-001"], readonly ["Evmos", "evmos_9000-4"], readonly ["Injective", "injective-888"], readonly ["Osmosis", "osmo-test-5"], readonly ["Sei", "atlantic-2"], readonly ["Terra2", "pisco-1"], readonly ["Wormchain", "wormchain-testnet-0"], readonly ["Xpla", "cube_47-5"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) extends infer T ? T extends keyof ((K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" | "Devnet" ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "cosmoshub-4"], readonly ["Evmos", "evmos_9001-2"], readonly ["Injective", "injective-1"], readonly ["Osmosis", "osmosis-1"], readonly ["Sei", "pacific-1"], readonly ["Terra", "columbus-5"], readonly ["Terra2", "phoenix-1"], readonly ["Wormchain", "wormchain"], readonly ["Xpla", "dimension_37-1"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "theta-testnet-001"], readonly ["Evmos", "evmos_9000-4"], readonly ["Injective", "injective-888"], readonly ["Osmosis", "osmo-test-5"], readonly ["Sei", "atlantic-2"], readonly ["Terra2", "pisco-1"], readonly ["Wormchain", "wormchain-testnet-0"], readonly ["Xpla", "cube_47-5"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "cosmoshub-4"], readonly ["Evmos", "evmos_9001-2"], readonly ["Injective", "injective-1"], readonly ["Osmosis", "osmosis-1"], readonly ["Sei", "pacific-1"], readonly ["Terra", "columbus-5"], readonly ["Terra2", "phoenix-1"], readonly ["Wormchain", "wormchain"], readonly ["Xpla", "dimension_37-1"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "theta-testnet-001"], readonly ["Evmos", "evmos_9000-4"], readonly ["Injective", "injective-888"], readonly ["Osmosis", "osmo-test-5"], readonly ["Sei", "atlantic-2"], readonly ["Terra2", "pisco-1"], readonly ["Wormchain", "wormchain-testnet-0"], readonly ["Xpla", "cube_47-5"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "cosmoshub-4"], readonly ["Evmos", "evmos_9001-2"], readonly ["Injective", "injective-1"], readonly ["Osmosis", "osmosis-1"], readonly ["Sei", "pacific-1"], readonly ["Terra", "columbus-5"], readonly ["Terra2", "phoenix-1"], readonly ["Wormchain", "wormchain"], readonly ["Xpla", "dimension_37-1"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "theta-testnet-001"], readonly ["Evmos", "evmos_9000-4"], readonly ["Injective", "injective-888"], readonly ["Osmosis", "osmo-test-5"], readonly ["Sei", "atlantic-2"], readonly ["Terra2", "pisco-1"], readonly ["Wormchain", "wormchain-testnet-0"], readonly ["Xpla", "cube_47-5"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) ? T extends `bigint(${infer V extends bigint})` ? V : T extends `boolean(${infer V_1 extends boolean})` ? V_1 : T : never : never>(args_0: K1, args_1: K2) => (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" | "Devnet" ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "cosmoshub-4"], readonly ["Evmos", "evmos_9001-2"], readonly ["Injective", "injective-1"], readonly ["Osmosis", "osmosis-1"], readonly ["Sei", "pacific-1"], readonly ["Terra", "columbus-5"], readonly ["Terra2", "phoenix-1"], readonly ["Wormchain", "wormchain"], readonly ["Xpla", "dimension_37-1"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "theta-testnet-001"], readonly ["Evmos", "evmos_9000-4"], readonly ["Injective", "injective-888"], readonly ["Osmosis", "osmo-test-5"], readonly ["Sei", "atlantic-2"], readonly ["Terra2", "pisco-1"], readonly ["Wormchain", "wormchain-testnet-0"], readonly ["Xpla", "cube_47-5"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? (K2 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never) extends keyof import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "cosmoshub-4"], readonly ["Evmos", "evmos_9001-2"], readonly ["Injective", "injective-1"], readonly ["Osmosis", "osmosis-1"], readonly ["Sei", "pacific-1"], readonly ["Terra", "columbus-5"], readonly ["Terra2", "phoenix-1"], readonly ["Wormchain", "wormchain"], readonly ["Xpla", "dimension_37-1"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "theta-testnet-001"], readonly ["Evmos", "evmos_9000-4"], readonly ["Injective", "injective-888"], readonly ["Osmosis", "osmo-test-5"], readonly ["Sei", "atlantic-2"], readonly ["Terra2", "pisco-1"], readonly ["Wormchain", "wormchain-testnet-0"], readonly ["Xpla", "cube_47-5"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "cosmoshub-4"], readonly ["Evmos", "evmos_9001-2"], readonly ["Injective", "injective-1"], readonly ["Osmosis", "osmosis-1"], readonly ["Sei", "pacific-1"], readonly ["Terra", "columbus-5"], readonly ["Terra2", "phoenix-1"], readonly ["Wormchain", "wormchain"], readonly ["Xpla", "dimension_37-1"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "theta-testnet-001"], readonly ["Evmos", "evmos_9000-4"], readonly ["Injective", "injective-888"], readonly ["Osmosis", "osmo-test-5"], readonly ["Sei", "atlantic-2"], readonly ["Terra2", "pisco-1"], readonly ["Wormchain", "wormchain-testnet-0"], readonly ["Xpla", "cube_47-5"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "cosmoshub-4"], readonly ["Evmos", "evmos_9001-2"], readonly ["Injective", "injective-1"], readonly ["Osmosis", "osmosis-1"], readonly ["Sei", "pacific-1"], readonly ["Terra", "columbus-5"], readonly ["Terra2", "phoenix-1"], readonly ["Wormchain", "wormchain"], readonly ["Xpla", "dimension_37-1"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "theta-testnet-001"], readonly ["Evmos", "evmos_9000-4"], readonly ["Injective", "injective-888"], readonly ["Osmosis", "osmo-test-5"], readonly ["Sei", "atlantic-2"], readonly ["Terra2", "pisco-1"], readonly ["Wormchain", "wormchain-testnet-0"], readonly ["Xpla", "cube_47-5"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "cosmoshub-4"], readonly ["Evmos", "evmos_9001-2"], readonly ["Injective", "injective-1"], readonly ["Osmosis", "osmosis-1"], readonly ["Sei", "pacific-1"], readonly ["Terra", "columbus-5"], readonly ["Terra2", "phoenix-1"], readonly ["Wormchain", "wormchain"], readonly ["Xpla", "dimension_37-1"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "theta-testnet-001"], readonly ["Evmos", "evmos_9000-4"], readonly ["Injective", "injective-888"], readonly ["Osmosis", "osmo-test-5"], readonly ["Sei", "atlantic-2"], readonly ["Terra2", "pisco-1"], readonly ["Wormchain", "wormchain-testnet-0"], readonly ["Xpla", "cube_47-5"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "cosmoshub-4"], readonly ["Evmos", "evmos_9001-2"], readonly ["Injective", "injective-1"], readonly ["Osmosis", "osmosis-1"], readonly ["Sei", "pacific-1"], readonly ["Terra", "columbus-5"], readonly ["Terra2", "phoenix-1"], readonly ["Wormchain", "wormchain"], readonly ["Xpla", "dimension_37-1"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "theta-testnet-001"], readonly ["Evmos", "evmos_9000-4"], readonly ["Injective", "injective-888"], readonly ["Osmosis", "osmo-test-5"], readonly ["Sei", "atlantic-2"], readonly ["Terra2", "pisco-1"], readonly ["Wormchain", "wormchain-testnet-0"], readonly ["Xpla", "cube_47-5"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "cosmoshub-4"], readonly ["Evmos", "evmos_9001-2"], readonly ["Injective", "injective-1"], readonly ["Osmosis", "osmosis-1"], readonly ["Sei", "pacific-1"], readonly ["Terra", "columbus-5"], readonly ["Terra2", "phoenix-1"], readonly ["Wormchain", "wormchain"], readonly ["Xpla", "dimension_37-1"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "theta-testnet-001"], readonly ["Evmos", "evmos_9000-4"], readonly ["Injective", "injective-888"], readonly ["Osmosis", "osmo-test-5"], readonly ["Sei", "atlantic-2"], readonly ["Terra2", "pisco-1"], readonly ["Wormchain", "wormchain-testnet-0"], readonly ["Xpla", "cube_47-5"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "cosmoshub-4"], readonly ["Evmos", "evmos_9001-2"], readonly ["Injective", "injective-1"], readonly ["Osmosis", "osmosis-1"], readonly ["Sei", "pacific-1"], readonly ["Terra", "columbus-5"], readonly ["Terra2", "phoenix-1"], readonly ["Wormchain", "wormchain"], readonly ["Xpla", "dimension_37-1"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "theta-testnet-001"], readonly ["Evmos", "evmos_9000-4"], readonly ["Injective", "injective-888"], readonly ["Osmosis", "osmo-test-5"], readonly ["Sei", "atlantic-2"], readonly ["Terra2", "pisco-1"], readonly ["Wormchain", "wormchain-testnet-0"], readonly ["Xpla", "cube_47-5"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] : never : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "cosmoshub-4"], readonly ["Evmos", "evmos_9001-2"], readonly ["Injective", "injective-1"], readonly ["Osmosis", "osmosis-1"], readonly ["Sei", "pacific-1"], readonly ["Terra", "columbus-5"], readonly ["Terra2", "phoenix-1"], readonly ["Wormchain", "wormchain"], readonly ["Xpla", "dimension_37-1"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "theta-testnet-001"], readonly ["Evmos", "evmos_9000-4"], readonly ["Injective", "injective-888"], readonly ["Osmosis", "osmo-test-5"], readonly ["Sei", "atlantic-2"], readonly ["Terra2", "pisco-1"], readonly ["Wormchain", "wormchain-testnet-0"], readonly ["Xpla", "cube_47-5"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) & {
    get: (args_0: string, args_1: never) => any;
    has: (args_0: string, args_1: never) => boolean;
};
export declare const chainToAddressPrefix: (<K1 extends "Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira">(args_0: K1) => (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Cosmoshub", "cosmos"], readonly ["Evmos", "evmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "osmo"], readonly ["Sei", "sei"], readonly ["Terra", "terra"], readonly ["Terra2", "terra"], readonly ["Wormchain", "wormhole"], readonly ["Xpla", "xpla"]]>[("Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Cosmoshub", "cosmos"], readonly ["Evmos", "evmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "osmo"], readonly ["Sei", "sei"], readonly ["Terra", "terra"], readonly ["Terra2", "terra"], readonly ["Wormchain", "wormhole"], readonly ["Xpla", "xpla"]]>[("Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Cosmoshub", "cosmos"], readonly ["Evmos", "evmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "osmo"], readonly ["Sei", "sei"], readonly ["Terra", "terra"], readonly ["Terra2", "terra"], readonly ["Wormchain", "wormhole"], readonly ["Xpla", "xpla"]]>[("Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) & {
    get: (args_0: string) => "cosmos" | "evmos" | "inj" | "kuji" | "osmo" | "sei" | "terra" | "wormhole" | "xpla" | undefined;
    has: (args_0: string) => boolean;
};
export declare const addressPrefixToChain: (<K1 extends "cosmos" | "evmos" | "inj" | "kuji" | "osmo" | "sei">(args_0: K1) => (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "cosmos" | "evmos" | "inj" | "kuji" | "osmo" | "sei" ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<[readonly ["cosmos", [["Cosmoshub"]]], readonly ["evmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["osmo", [["Osmosis"]]], readonly ["sei", [["Sei"]]], ...any[]]>[("cosmos" | "evmos" | "inj" | "kuji" | "osmo" | "sei") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<[readonly ["cosmos", [["Cosmoshub"]]], readonly ["evmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["osmo", [["Osmosis"]]], readonly ["sei", [["Sei"]]], ...any[]]>[("cosmos" | "evmos" | "inj" | "kuji" | "osmo" | "sei") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<[readonly ["cosmos", [["Cosmoshub"]]], readonly ["evmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["osmo", [["Osmosis"]]], readonly ["sei", [["Sei"]]], ...any[]]>[("cosmos" | "evmos" | "inj" | "kuji" | "osmo" | "sei") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) & {
    get: (args_0: string) => "Injective" | "Osmosis" | "Sei" | "Cosmoshub" | "Evmos" | "Kujira" | undefined;
    has: (args_0: string) => boolean;
};
export declare const chainToNativeDenoms: (<K1 extends "Mainnet" | "Testnet", K2 extends keyof ((K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "aevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "atevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "aevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "atevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "aevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "atevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) extends infer T ? T extends keyof ((K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "aevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "atevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "aevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "atevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "aevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "atevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) ? T extends `bigint(${infer V extends bigint})` ? V : T extends `boolean(${infer V_1 extends boolean})` ? V_1 : T : never : never>(args_0: K1, args_1: K2) => (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "aevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "atevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? (K2 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never) extends keyof import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "aevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "atevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "aevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "atevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "aevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "atevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "aevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "atevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "aevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "atevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "aevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "atevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "aevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "atevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] : never : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "aevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]], readonly ["Testnet", readonly [readonly ["Cosmoshub", "uatom"], readonly ["Evmos", "atevmos"], readonly ["Injective", "inj"], readonly ["Kujira", "kuji"], readonly ["Osmosis", "uosmo"], readonly ["Sei", "usei"], readonly ["Terra", "ulunah"], readonly ["Terra2", "uluna"], readonly ["Wormchain", "uworm"], readonly ["Xpla", "uxpla"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) & {
    get: (args_0: string, args_1: string) => "inj" | "kuji" | "uatom" | "aevmos" | "uosmo" | "usei" | "ulunah" | "uluna" | "uworm" | "uxpla" | "atevmos" | undefined;
    has: (args_0: string, args_1: string) => boolean;
};
export declare const nativeDenomToChain: (<K1 extends "Mainnet" | "Testnet", K2 extends keyof ((K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<[["Mainnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["aevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]], ["Testnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["atevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<[["Mainnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["aevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]], ["Testnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["atevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<[["Mainnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["aevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]], ["Testnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["atevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) extends infer T ? T extends keyof ((K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<[["Mainnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["aevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]], ["Testnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["atevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<[["Mainnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["aevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]], ["Testnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["atevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<[["Mainnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["aevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]], ["Testnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["atevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) ? T extends `bigint(${infer V extends bigint})` ? V : T extends `boolean(${infer V_1 extends boolean})` ? V_1 : T : never : never>(args_0: K1, args_1: K2) => (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<[["Mainnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["aevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]], ["Testnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["atevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? (K2 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never) extends keyof import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<[["Mainnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["aevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]], ["Testnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["atevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<[["Mainnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["aevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]], ["Testnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["atevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<[["Mainnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["aevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]], ["Testnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["atevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<[["Mainnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["aevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]], ["Testnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["atevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<[["Mainnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["aevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]], ["Testnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["atevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<[["Mainnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["aevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]], ["Testnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["atevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<[["Mainnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["aevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]], ["Testnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["atevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] : never : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<[["Mainnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["aevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]], ["Testnet", [readonly ["uatom", [["Cosmoshub"]]], readonly ["atevmos", [["Evmos"]]], readonly ["inj", [["Injective"]]], readonly ["kuji", [["Kujira"]]], readonly ["uosmo", [["Osmosis"]]], readonly ["usei", [["Sei"]]], readonly ["ulunah", [["Terra"]]], readonly ["uluna", [["Terra2"]]], readonly ["uworm", [["Wormchain"]]], readonly ["uxpla", [["Xpla"]]]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) & {
    get: (args_0: string, args_1: string) => "Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Kujira" | undefined;
    has: (args_0: string, args_1: string) => boolean;
};
export declare const cosmwasmNetworkChainToRestUrls: (<K1 extends "Mainnet" | "Testnet" | "Devnet", K2 extends keyof ((K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" | "Devnet" ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Injective", "https://lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.org:1317"]]], readonly ["Testnet", readonly [readonly ["Injective", "https://k8s.testnet.lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.dev:1317"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Injective", "https://lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.org:1317"]]], readonly ["Testnet", readonly [readonly ["Injective", "https://k8s.testnet.lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.dev:1317"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Injective", "https://lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.org:1317"]]], readonly ["Testnet", readonly [readonly ["Injective", "https://k8s.testnet.lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.dev:1317"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) extends infer T ? T extends keyof ((K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" | "Devnet" ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Injective", "https://lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.org:1317"]]], readonly ["Testnet", readonly [readonly ["Injective", "https://k8s.testnet.lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.dev:1317"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Injective", "https://lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.org:1317"]]], readonly ["Testnet", readonly [readonly ["Injective", "https://k8s.testnet.lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.dev:1317"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Injective", "https://lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.org:1317"]]], readonly ["Testnet", readonly [readonly ["Injective", "https://k8s.testnet.lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.dev:1317"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) ? T extends `bigint(${infer V extends bigint})` ? V : T extends `boolean(${infer V_1 extends boolean})` ? V_1 : T : never : never>(args_0: K1, args_1: K2) => (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" | "Devnet" ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Injective", "https://lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.org:1317"]]], readonly ["Testnet", readonly [readonly ["Injective", "https://k8s.testnet.lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.dev:1317"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? (K2 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never) extends keyof import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Injective", "https://lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.org:1317"]]], readonly ["Testnet", readonly [readonly ["Injective", "https://k8s.testnet.lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.dev:1317"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Injective", "https://lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.org:1317"]]], readonly ["Testnet", readonly [readonly ["Injective", "https://k8s.testnet.lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.dev:1317"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Injective", "https://lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.org:1317"]]], readonly ["Testnet", readonly [readonly ["Injective", "https://k8s.testnet.lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.dev:1317"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Injective", "https://lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.org:1317"]]], readonly ["Testnet", readonly [readonly ["Injective", "https://k8s.testnet.lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.dev:1317"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Injective", "https://lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.org:1317"]]], readonly ["Testnet", readonly [readonly ["Injective", "https://k8s.testnet.lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.dev:1317"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Injective", "https://lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.org:1317"]]], readonly ["Testnet", readonly [readonly ["Injective", "https://k8s.testnet.lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.dev:1317"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Injective", "https://lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.org:1317"]]], readonly ["Testnet", readonly [readonly ["Injective", "https://k8s.testnet.lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.dev:1317"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] : never : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Injective", "https://lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.org:1317"]]], readonly ["Testnet", readonly [readonly ["Injective", "https://k8s.testnet.lcd.injective.network"], readonly ["Evmos", "https://rest.bd.evmos.dev:1317"]]], readonly ["Devnet", readonly []]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) & {
    get: (args_0: string, args_1: never) => any;
    has: (args_0: string, args_1: never) => boolean;
};
export type IbcChannels = Partial<Record<CosmwasmChainName, string>>;
export declare const networkChainToChannels: (<K1 extends "Mainnet" | "Testnet" | "Devnet", K2 extends keyof ((K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" | "Devnet" ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-4";
}]]], readonly ["Testnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-9";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-3086";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-3906";
}]]], readonly ["Devnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-1";
    readonly Osmosis: "channel-2";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-1";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-1";
}]]]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-4";
}]]], readonly ["Testnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-9";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-3086";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-3906";
}]]], readonly ["Devnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-1";
    readonly Osmosis: "channel-2";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-1";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-1";
}]]]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-4";
}]]], readonly ["Testnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-9";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-3086";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-3906";
}]]], readonly ["Devnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-1";
    readonly Osmosis: "channel-2";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-1";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-1";
}]]]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) extends infer T ? T extends keyof ((K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" | "Devnet" ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-4";
}]]], readonly ["Testnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-9";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-3086";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-3906";
}]]], readonly ["Devnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-1";
    readonly Osmosis: "channel-2";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-1";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-1";
}]]]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-4";
}]]], readonly ["Testnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-9";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-3086";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-3906";
}]]], readonly ["Devnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-1";
    readonly Osmosis: "channel-2";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-1";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-1";
}]]]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-4";
}]]], readonly ["Testnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-9";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-3086";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-3906";
}]]], readonly ["Devnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-1";
    readonly Osmosis: "channel-2";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-1";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-1";
}]]]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) ? T extends `bigint(${infer V extends bigint})` ? V : T extends `boolean(${infer V_1 extends boolean})` ? V_1 : T : never : never>(args_0: K1, args_1: K2) => (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" | "Devnet" ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-4";
}]]], readonly ["Testnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-9";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-3086";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-3906";
}]]], readonly ["Devnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-1";
    readonly Osmosis: "channel-2";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-1";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-1";
}]]]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? (K2 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never) extends keyof import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-4";
}]]], readonly ["Testnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-9";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-3086";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-3906";
}]]], readonly ["Devnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-1";
    readonly Osmosis: "channel-2";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-1";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-1";
}]]]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-4";
}]]], readonly ["Testnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-9";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-3086";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-3906";
}]]], readonly ["Devnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-1";
    readonly Osmosis: "channel-2";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-1";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-1";
}]]]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-4";
}]]], readonly ["Testnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-9";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-3086";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-3906";
}]]], readonly ["Devnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-1";
    readonly Osmosis: "channel-2";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-1";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-1";
}]]]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-4";
}]]], readonly ["Testnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-9";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-3086";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-3906";
}]]], readonly ["Devnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-1";
    readonly Osmosis: "channel-2";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-1";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-1";
}]]]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-4";
}]]], readonly ["Testnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-9";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-3086";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-3906";
}]]], readonly ["Devnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-1";
    readonly Osmosis: "channel-2";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-1";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-1";
}]]]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-4";
}]]], readonly ["Testnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-9";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-3086";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-3906";
}]]], readonly ["Devnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-1";
    readonly Osmosis: "channel-2";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-1";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-1";
}]]]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-4";
}]]], readonly ["Testnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-9";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-3086";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-3906";
}]]], readonly ["Devnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-1";
    readonly Osmosis: "channel-2";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-1";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-1";
}]]]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] : never : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-4";
}]]], readonly ["Testnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-5";
    readonly Osmosis: "channel-9";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-3086";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-3906";
}]]], readonly ["Devnet", readonly [readonly ["Wormchain", {
    readonly Cosmoshub: "channel-1";
    readonly Osmosis: "channel-2";
}], readonly ["Cosmoshub", {
    readonly Wormchain: "channel-1";
}], readonly ["Osmosis", {
    readonly Wormchain: "channel-1";
}]]]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) & {
    get: (args_0: string, args_1: string) => {
        readonly Cosmoshub: "channel-5";
        readonly Osmosis: "channel-4";
    } | {
        readonly Cosmoshub: "channel-5";
        readonly Osmosis: "channel-9";
    } | {
        readonly Cosmoshub: "channel-1";
        readonly Osmosis: "channel-2";
    } | undefined;
    has: (args_0: string, args_1: string) => boolean;
};
//# sourceMappingURL=constants.d.ts.map